igeo.io

## Class IRhino3dm.BrepFace

- java.lang.Object
- - igeo.io.IRhino3dm.RhinoObject
  - - igeo.io.IRhino3dm.Geometry
    - - igeo.io.IRhino3dm.Surface
      - - igeo.io.IRhino3dm.SurfaceProxy
        - - igeo.io.IRhino3dm.BrepFace

- Enclosing class:
    IRhino3dm

      public static class IRhino3dm.BrepFace
      extends IRhino3dm.SurfaceProxy

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class igeo.io.IRhino3dm.Surface

      `IRhino3dm.Surface.ISO`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IRhino3dm.Mesh` | `analysisMesh`
    `IRhino3dm.BoundingBox` | `bbox`
    `IRhino3dm.Brep` | `brep`
    `IRhino3dm.Interval[]` | `domain`
    `int` | `faceIndex`
    `int` | `faceMaterialChannel`
    `IRhino3dm.UUID` | `faceUUID`
    `java.util.ArrayList<java.lang.Integer>` | `loopIndex`
    `IRhino3dm.Mesh` | `previewMesh`
    `IRhino3dm.Mesh` | `renderMesh`
    `boolean` | `rev`
    `int` | `surfaceIndex`
    `static java.lang.String` | `uuid`

    - ### Fields inherited from class igeo.io.IRhino3dm.SurfaceProxy

      `surface, transposed`

    - ### Fields inherited from class igeo.io.IRhino3dm.RhinoObject

      `attributes, objectTypeAnnotation, objectTypeAny, objectTypeBeam, objectTypeBrep, objectTypeCage, objectTypeClipPlane, objectTypeCurve, objectTypeDetail, objectTypeEdgeFilter, objectTypeExtrusion, objectTypeGrip, objectTypeHatch, objectTypeInstanceDefinition, objectTypeInstanceReference, objectTypeLayer, objectTypeLight, objectTypeLoop, objectTypeMaterial, objectTypeMesh, objectTypeMeshEdge, objectTypeMeshFace, objectTypeMeshVertex, objectTypeMorphControl, objectTypePhantom, objectTypePoint, objectTypePointset, objectTypePolyledgeFilter, objectTypePolysrfFilter, objectTypeSurface, objectTypeTextDot, objectTypeUnknown, objectTypeUserData, userDataList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BrepFace()`
    `BrepFace(int fidx, int sidx, IRhino3dm.Surface surf, IRhino3dm.Brep brep)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLoopIndex(int i)`
    `IRhino3dm.UUID` | `getClassUUID()`
    `void` | `read(IRhino3dm.Rhino3dmFile context, java.io.InputStream is)`
    `void` | `write(IRhino3dm.Rhino3dmFile context, java.io.OutputStream os, java.util.zip.CRC32 crc)`

    - ### Methods inherited from class igeo.io.IRhino3dm.SurfaceProxy

      `setProxySurface`

    - ### Methods inherited from class igeo.io.IRhino3dm.Surface

      `createIGeometry, createIObject, domain, getInt, getType, readIso`

    - ### Methods inherited from class igeo.io.IRhino3dm.RhinoObject

      `read, setAttributes, setAttributesToIObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### uuid

          public static final java.lang.String uuid

      See Also:
        Constant Field Values

    - #### faceIndex

          public int faceIndex

    - #### loopIndex

          public java.util.ArrayList<java.lang.Integer> loopIndex

    - #### surfaceIndex

          public int surfaceIndex

    - #### rev

          public boolean rev

    - #### faceMaterialChannel

          public int faceMaterialChannel

    - #### faceUUID

          public IRhino3dm.UUID faceUUID

    - #### bbox

          public IRhino3dm.BoundingBox bbox

    - #### domain

          public IRhino3dm.Interval[] domain

    - #### renderMesh

          public IRhino3dm.Mesh renderMesh

    - #### analysisMesh

          public IRhino3dm.Mesh analysisMesh

    - #### previewMesh

          public IRhino3dm.Mesh previewMesh

    - #### brep

          public IRhino3dm.Brep brep

  - ### Constructor Detail

    - #### BrepFace

          public BrepFace()

    - #### BrepFace

          public BrepFace(int fidx,
                          int sidx,
                          IRhino3dm.Surface surf,
                          IRhino3dm.Brep brep)

  - ### Method Detail

    - #### getClassUUID

          public IRhino3dm.UUID getClassUUID()

      Overrides:
        `getClassUUID` in class `IRhino3dm.SurfaceProxy`

    - #### addLoopIndex

          public void addLoopIndex(int i)

    - #### read

          public void read(IRhino3dm.Rhino3dmFile context,
                           java.io.InputStream is)
                    throws java.io.IOException

      Overrides:
        `read` in class `IRhino3dm.RhinoObject`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(IRhino3dm.Rhino3dmFile context,
                            java.io.OutputStream os,
                            java.util.zip.CRC32 crc)
                     throws java.io.IOException

      Overrides:
        `write` in class `IRhino3dm.RhinoObject`
      Throws:
        `java.io.IOException`